package com.jeeplus.modules.workcontent.entity;

import com.jeeplus.common.persistence.BaseEntity;
import com.jeeplus.common.utils.IdGen;

public class WorkContentContractTerm extends BaseEntity{

    private String contractId;
    private String title;
    private String content;
    private String tnumber;
    private String delFlag; 	// 删除标记（0：正常；1：删除；2：审核）

    @Override
    public void preInsert() {
        setId(IdGen.uuid());
    }

    @Override
    public void preUpdate() {

    }

    public String getContractId() {
        return contractId;
    }

    public void setContractId(String contractId) {
        this.contractId = contractId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getTnumber() {
        return tnumber;
    }

    public void setTnumber(String tnumber) {
        this.tnumber = tnumber;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }
}
